<?php

namespace Drupal\radioactivity;

/**
 * Defines the Radioactivity Incident.
 */
interface IncidentInterface {

  /**
   * Test validity of the Incident.
   *
   * @return bool
   *   True if the incident is valid. False if not.
   */
  public function isValid();

  /**
   * Convert to JSON format.
   *
   * @return string
   *   Json encoded incident data.
   */
  public function toJson();

  /**
   * Returns the incident field name.
   *
   * @return string
   *   The incident field name.
   */
  public function getFieldName();

  /**
   * Returns the incident entity type.
   *
   * @return string
   *   The incident entity type.
   */
  public function getEntityTypeId();

  /**
   * Returns the incident entity id.
   *
   * @return string|int
   *   The incident entity id.
   */
  public function getEntityId();

  /**
   * Returns the incident energy.
   *
   * @return int|float
   *   The incident energy.
   */
  public function getEnergy();

}
